import os

cwdir = '/data/AlpArray_Data/fmtomo/v5/tradeoff_curves'
parent_dir_name = 'crust_included_grad_smooth_FIXED_dts'#_grad_1.5'

dampings = [3., 10., 30.]#, 30.]
smoothings = [5.6]

def main(submit_run=True):
    fdir_parent = os.path.join(cwdir, parent_dir_name)
    for damp in dampings:
        for smooth in smoothings:
            fdir_out = fdir_parent + '_sm{}_damp{}'.format(smooth, damp)
            if not os.path.isdir(fdir_out):
                os.mkdir(fdir_out)
            os.system('cp -P {}/* {}'.format(fdir_parent, fdir_out))
            invertfile = os.path.join(fdir_out, 'invert3d.in')
            modify_invert_in(invertfile, damp, smooth)
            if submit_run:
                os.chdir(fdir_out)
                os.system('qsub submit_fmtomo.sh')

def modify_invert_in(fnin, damp, smooth):
    with open(fnin, 'r') as infile:
        lines = infile.readlines()

    with open(fnin, 'w') as outfile:
        for line in lines:
            if not line.startswith('c'):
                value, comment = line.split('c:')
                if 'Global damping' in comment:
                    line = line.replace(value.strip(), str(damp) + '  ')
                elif 'Global smoothing' in comment:
                    line = line.replace(value.strip(), str(smooth) + '  ')
            outfile.write(line)


if __name__ == '__main__':
    main()